LoggedinServiceImpl (gCube Loggedin Portlet 2.6.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.user.gcubeloggedin.server

## Class LoggedinServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.gcubeloggedin.server.LoggedinServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, LoggedinService

      public class LoggedinServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements LoggedinService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggedinServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ArrayList<String>` | `getAdministratorsEmails(String scope)`
    `String` | `getDefaultCommunityURL()` The Default Community is a community where all portal user belong to
    `VObject` | `getSelectedRE(String portalURL)` return the current selected VRE
    `String` | `removeUserFromVRE()`
    `static void` | `sendUserUnregisteredNotification(String username, String scope, String portalbasicurl, String gatewayName)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggedinServiceImpl

          public LoggedinServiceImpl()

  - ### Method Detail

    - #### getSelectedRE

          public VObject getSelectedRE(String portalURL)

      return the current selected VRE
      Specified by:
        `getSelectedRE` in interface `LoggedinService`

    - #### getDefaultCommunityURL

          public String getDefaultCommunityURL()

      The Default Community is a community where all portal user belong to
      Specified by:
        `getDefaultCommunityURL` in interface `LoggedinService`
      Returns:
        the default community URL
      Throws:
        `com.liferay.portal.kernel.exception.SystemException`
        `com.liferay.portal.kernel.exception.PortalException`

    - #### removeUserFromVRE

          public String removeUserFromVRE()

      Specified by:
        `removeUserFromVRE` in interface `LoggedinService`
      Returns:
        the redirect url if everything goes ok, null otherwise

    - #### getAdministratorsEmails

          protected static ArrayList<String> getAdministratorsEmails(String scope)

    - #### sendUserUnregisteredNotification

          public static void sendUserUnregisteredNotification(String username,
                                              String scope,
                                              String portalbasicurl,
                                              String gatewayName)

      Parameters:
        `scope` - .
        `optionalMessage` - .

Copyright © 2015. All Rights Reserved.